Bug 1977310 - botan fails to build with Sphinx 4.0.2
Summary: botan fails to build with Sphinx 4.0.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: botan
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FTBFS F36FTBFS PYTHON3.10 1973718
TreeView+ depends on / blocked
 
Reported: 2021-06-29 12:54 UTC by Karolina Surma
Modified: 2021-09-11 16:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-11 16:41:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Karolina Surma 2021-06-29 12:54:22 UTC
botan fails to build with Sphinx 4.0.2 in Fedora 35 (currently Rawhide).

+ make install DESTDIR=/builddir/build/BUILDROOT/botan-1.10.17-25.fc35.x86_64/usr DOCDIR=/builddir/build/BUILDROOT/botan-1.10.17-25.fc35.x86_64/usr/share/doc/botan 'INSTALL_CMD_EXEC=install -p -m 755' 'INSTALL_CMD_DATA=install -p -m 644'
cp readme.txt build/docs
sphinx-build  -b html doc build/docs/manual
Running Sphinx v4.0.2
Configuration error:
There is a syntax error in your configuration file: Missing parentheses in call to 'print'. Did you mean print("This Sphinx is too old - upgrade to at least 1.0.7")? (conf.py, line 46)
make: *** [Makefile:1459: docs] Error 2


For the logs from testing build attempts, see:
https://copr.fedorainfracloud.org/coprs/ksurma/pygments-2.9.0/package/botan/

You can test you package using Koji scratch build
koji build --scratch <srpm>

For details regarding the Sphinx change, see https://fedoraproject.org/wiki/Changes/Sphinx4
Let us know here if you have any questions. Thank you!

Comment 1 Fedora Release Engineering 2021-08-01 04:22:58 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-08-24).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 2 Ben Cotton 2021-08-10 13:09:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 3 Fedora Release Engineering 2021-08-22 04:22:20 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-08-24).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 4 Thomas Moschny 2021-09-11 16:41:18 UTC
Fixed: https://koji.fedoraproject.org/koji/buildinfo?buildID=1830607


Note You need to log in before you can comment on or make changes to this bug.